PYLSP(1)

NAME
pylsp - Python Language Server

SYNOPSIS
pylsp [OPTION]...

DESCRIPTION

Run a Python Language Server following the Language Server Protocol.

OPTIONS

--tcp
    Use a TCP server instead of stdio.

--host HOST
    Bind to this address.

--port PORT
    Bind to this port.

--check-parent-process
    Check whether parent process is still alive using os.kill(ppid, 0) and auto shut down language server process when parent process is not alive.

--log-config LOG_CONFIG
    Path to a JSON file containing Python logging config.

--log-file LOG_FILE
    Redirect logs to the given file instead of writing to stderr. Has no effect if used with --log-config.

-v, --verbose
    Increase verbosity of log output, overrides log config file.

-h, --help
    Show a help message and exit.